<?php
/**
 * View to display data as json
 *
 * This file is part of Zoph.
 *
 * Zoph is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Zoph is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Zoph; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @package Zoph
 * @author Jeroen Roos
 */

namespace web\service\view;

use web\request;

/**
 * This view displays json data
 */
class json implements \view {

    private $data = array();

    public function __construct(request $request, array $data) {
        $this->request = $request;
        $this->data = $data;
    }

    public function view() : string {
        return json_encode($this->data);
    }

    public function display($template = "json") : void {
        foreach ($this->getHeaders() as $header) {
            header($header);
        }
        echo $this->view();
    }

    public function getActionlinks() : ?array {
        return null;
    }

    public function getHeaders() : ?array {
        return array("Content-Type: application/json");
    }

    public function getTitle() : string {
        return "";
    }
}
